Bug 526043 - Implement smp_call_function_[single|many] in x86_64 and i386
Summary: Implement smp_call_function_[single|many] in x86_64 and i386
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 467994 523505 533078
TreeView+ depends on / blocked
 
Reported: 2009-09-28 13:36 UTC by Prarit Bhargava
Modified: 2010-03-30 07:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:45:49 UTC


Attachments (Terms of Use)
Initial patch submitted by achiang and myself (16.94 KB, patch)
2009-09-28 13:36 UTC, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for bare-metal and xen (18.70 KB, patch)
2009-09-28 17:41 UTC, Prarit Bhargava
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Prarit Bhargava 2009-09-28 13:36:14 UTC
Created attachment 362893 [details]
Initial patch submitted by achiang and myself

Description of problem:

dzickus has noted that several patches now depend on smp_call_function_single() and smp_call_function_many().

In order to simplify the patches, I am going to create a single patch for these functions.  The patches will the refer back to this patch.

Version-Release number of selected component (if applicable): 2.6.18-166.el5


Additional info: Patch is based on the one that I am working with for the MCE code, and that was submitted by achiang as part of his powernow driver update.

Comment 2 Prarit Bhargava 2009-09-28 17:41:43 UTC
Created attachment 362925 [details]
RHEL5 fix for bare-metal and xen

Comment 3 RHEL Product and Program Management 2009-09-28 18:24:41 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2009-10-13 16:09:41 UTC
in kernel-2.6.18-169.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 8 errata-xmlrpc 2010-03-30 07:45:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.